.channel {
    overflow: hidden;
    position: relative;
    padding: rem(40) 0;
    text-align: center;
    background: #F4F5F6;

    &__main {
        padding: rem(20);
        background: $white;
        border-radius: 20px;
    }

    &__header {
        font-weight: 600;
        font-size: rem(20);
        line-height: rem(30);
    }

    &__text {
        font-size: rem(14);
        line-height: 140%;
        margin-bottom: rem(30);
    }

    &__media {
        overflow: hidden;
        height: rem(240);
        position: relative;

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            height: rem(48);
            position: absolute;
            background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 34.60%);
        }
    }

    &__image {
        left: rem(-30);
        position: relative;
        width: rem(320);
        margin: 0 auto;
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    &__bg {
        display: none;
    }

    .container {
        z-index: 20;
        position: relative;
    }

    @include media-breakpoint-up(md) {

        &__main {
            padding: rem(30);
        }

        &__header {
            font-size: rem(24);
            line-height: rem(30);
        }

        &__text {
            font-size: rem(20);
        }

        &__button {

            .btn {
                width: auto;
            }
        }

        &__media {
            margin-top: rem(-30);
        }

        &__image {
            width: rem(400);
        }
    }

    @include media-breakpoint-up(lg) {
        padding: 0;
        text-align: left;
        background: $white;

        &__main {
            border-radius: 0;
            position: relative;
            padding: rem(50) 0;
            background: transparent;
        }

        &__content {
            z-index: 50;
            width: rem(550);
        }

        &__header {
            z-index: 50;
            position: relative;
            margin-bottom: rem(30);
        }

        &__text {
            z-index: 50;
            position: relative;
        }

        &__media {
            right: rem(-100);
            bottom: rem(-320);
            height: auto;
            position: absolute;

            &:before {
                display: none;
            }
        }

        &__image {
            width: rem(600);
        }

        &__bg {
            left: calc(50% - 150px);
            top: -100px;
            z-index: 1;
            width: 800px;
            display: block;
            position: absolute;
            transform: rotate(-8.5deg);
        }

        &__button {
            z-index: 50;
            position: relative;
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            padding: rem(68) 0;
        }

        &__header {
            font-size: rem(40);
            line-height: rem(50);
            margin-bottom: rem(30);
        }

        &__media {
            right: -180px;
            bottom: -440px;
        }

        &__image {
            width: 843px;
        }

        &__text {
            font-size: rem(24);
            margin-bottom: rem(35);
        }

        &__content {
            width: rem(700);
        }

        &__bg {
            top: -115px;
            left: calc(50% - 300px);
            width: 1145px;
        }
    }
}
